GridFire v0.7.6rc4.0 General Purpose Nuclear Network

Loading...
Searching...
No Matches
Namespaces | Concepts | Functions
logging.h File Reference
`#include "gridfire/engine/engine_abstract.h"`
`#include "fourdst/composition/composition.h"`
`#include "gridfire/engine/scratchpads/blob.h"`
`#include <string>`
`#include <functional>`
Include dependency graph for logging.h:
This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | gridfire
namespace | gridfire::utils

## Concepts
concept | gridfire::utils::Streamable

## Functions
std::string | gridfire::utils::formatNuclearTimescaleLogString (engine::scratch::StateBlob &ctx, const engine::DynamicEngine &engine, const fourdst::composition::Composition &composition, double T9, double rho)
| Formats a map of nuclear species timescales into a human-readable string.
template<std::ranges::input_range Container, typename Elem = std::ranges::range_reference_t<Container>, typename Transform = std::identity, typename Pred = bool(*)(const std::ranges::range_value_t<Container>&)> requires std::invocable<Transform, Elem> && Streamable<std::invoke_result_t<Transform, Elem>> && std::predicate<Pred, Elem>
static std::string | gridfire::utils::iterable_to_delimited_string (const Container &container, const std::string_view delimiter=", ", Transform transform={}, Pred pred=[](const auto &){ return true;}) noexcept